import request from '@/utils/request'

// 新增
export function addChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 修改
export function updataChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}
// 删除
export function delChannel(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 查询
export function listChannel(data) {
    return request({
        url: '/dxtop/dept/page',
        method: 'post',
        data: data
    })
}

// 同步部门信息
export function deptJob(params) {
    return request({
        url: '/dxtop/smjob/deptJob',
        method: 'post',
        params
    })
}